Trust Centers
Update Trust Center document
Updates a specific document on a Trust Center.
PATCH
/
trust-centers
/
{slugId}
/
resources
/
{resourceId}
Update Trust Center document
curl --request PATCH \
--url https://api.vanta.com/v1/trust-centers/{slugId}/resources/{resourceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"isPublic": true,
"description": "<string>"
}
'import requests
url = "https://api.vanta.com/v1/trust-centers/{slugId}/resources/{resourceId}"
payload = {
"title": "<string>",
"isPublic": True,
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', isPublic: true, description: '<string>'})
};
fetch('https://api.vanta.com/v1/trust-centers/{slugId}/resources/{resourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "4b1e7a8c3d9f6a2b5c8d0e3f",
"title": "Resource title",
"mimeType": "application/pdf",
"fileName": "resource.pdf",
"creationDate": "2020-01-01T00:00:00.000Z",
"updatedDate": "2020-01-01T00:00:00.000Z",
"isPublic": true,
"description": "Resource description"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Ok
Unique identifier for the document.
The file name of the document.
The document's title.
The document's description
Mime type of the document.
Date of when the document was uploaded.
Date when the document was last updated.
Boolean determining whether the document is publicly available.
Was this page helpful?
⌘I
Update Trust Center document
